﻿@model InternalRosterReportsViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Internal Roster - Profile Reports
            </h1>

        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPdf()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-export-pdf fg-black"></i>
            </a>

        </div>
        <div class="clearfix"></div>
        <hr />
    </div>


    <div class="clearfix"></div>


    <div class="row place-left one-fourth">
        <label>Program</label>
        <div data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.ScheduleId"
                        ng-options="obj.Value as obj.Text for obj in AllPrograms">
                </select>
            </div>
        </div>
    </div>
    <br />
    <div class="clearfix"></div>
    <button class="success place-right large button" ng-click="runReport()" id="ConfirmInvoice">Run</button>
    <div class="clearfix"></div>
    <hr />

    <div class="structure-divider-large" ng-repeat="item in ModelPrograms">
        <table class="jbt-table-custom structure-gray structure-no-bordered">
            <tr>
                <td><span class="structure-bold structure-no-wrap" style="min-width:210px">Class: </span> {{item.ClassName}}</td>
            </tr>
        </table>
        <div class="container-table-responsive">
            <table class="jbt-table-custom">
                <tr class="structure-gray structure-text-center" style="height: 44px;">
                    <th style="min-width:40px;max-width:40px">#</th>
                    <th  style="max-width:50px !important;min-width:50px !important;">Participant</th>

                    <th  style="max-width:110px !important;padding:0 3px">Contact</th>
                    <th class="structure-no-wrap" style="max-width:80px !important;padding:0 3px;min-width:80px !important;">Phone</th>

                    <th  style="max-width:110px !important;padding:0 3px;min-width:110px !important;">Authorized pickup</th>

                    <th  style="max-width:50px !important;min-width:50px !important;">Photo</th>
                    <th  style="max-width:85px !important;padding:0 3px;min-width:85px !important;">Allergies</th>
                    <th   style="max-width:85px !important;padding:0 3px;min-width:85px !important;word-break: break-word!important;white-space:initial !important">Medical conditions</th>
                    <th   style="max-width:35px!important;min-width:35px!important;padding:0 3px;word-break: break-word!important;white-space:initial !important;">Grade Age</th>
                </tr>
                <tr class="structure-text-center structure-gray">
                    <td style="min-width:40px;max-width:40px">#</td>
                    <td style="max-width:50px !important;min-width:50px !important;">Participant</td>
                    <td style="max-width:110px !important;padding:8px 3px">
                        <span>Parent 1</span>
                        <hr class="hr" />
                        <span>Parent 2</span>
                        <hr class="hr" />
                        <span>Emergency contact</span>
                    </td>
                    <td  style="max-width:80px !important;padding:8px 3px;min-width:80px !important;">
                        <span>Parent 1</span>
                        <hr class="hr" />
                        <span>Parent 2</span>
                        <hr class="hr" />
                        <span>Emergency contact</span>
                    </td>
                    <td class="structure-no-wrap" style="max-width:110px !important;padding:0 3px;min-width:110px !important;">
                        <span class="structure-no-wrap">Authorized pickup 1</span>
                        <hr class="hr" />
                        <span class="structure-no-wrap">Authorized pickup 2</span>
                        <hr class="hr" />
                        <span class="structure-no-wrap">Authorized pickup 3</span>
                    </td>

                    <td style="max-width:50px !important;min-width:50px !important;">Photo</td>
                    <td style="max-width:85px !important;padding:0 3px;min-width:85px !important;">Allergies</td>
                    <td style="max-width:85px !important;padding:0 3px;min-width:85px !important;word-break: break-word!important;white-space:initial !important">Medical conditions</td>
                    <td style="max-width:35px!important;min-width:35px!important;padding:0 3px;word-break: break-word!important;white-space:initial !important;">Grade Age</td>
                </tr>
                <tr class="structure-text-center" ng-repeat="participant in item.ProgramParticipants">

                    <td style="min-width:40px;max-width:40px">{{participant.Number}}</td>
                    <td style="word-break: break-word!important;white-space:initial !important;max-width:50px !important;min-width:50px !important;">{{participant.ParticipantName}} </td>
                    <td style="word-break: break-word!important;white-space:initial !important;max-width:110px !important;padding:0 3px">
                        {{participant.Parent1Name}}
                        <hr class="hr" />
                        {{participant.Parent2Name}}
                        <hr class="hr" />
                        {{participant.EmergencyContactName}}
                    </td>
                    <td style="white-space:nowrap;max-width:80px !important;padding:0 3px;min-width:80px !important;">
                        {{participant.Parent1Phone}}
                        <hr class="hr" />
                        {{participant.Parent2Phone}}
                        <hr class="hr" />
                        {{participant.EmergencyContactPhone}}
                    </td>
                    <td style="word-break: break-word!important;white-space:initial !important;max-width:110px !important;padding:0 3px;min-width:110px !important;">
                        {{participant.AuthorizedPickup1Name}}<br />
                        <hr class="hr" />
                        {{participant.AuthorizedPickup2Name}}<br />
                        <hr class="hr" />
                        {{participant.AuthorizedPickup3Name}}<br />
                    </td>
                    <td style="word-break: break-word!important;white-space:initial !important;max-width:50px !important;min-width:50px !important;">{{participant.PermissionPhotography}} </td>
                    <td style="word-break: break-word!important;white-space:initial !important;max-width:85px !important;padding:0 3px;min-width:85px !important;">{{participant.Allergies}} </td>
                    <td style="word-break: break-word!important;white-space:initial !important;max-width:85px !important;padding:0 3px;min-width:85px !important;">{{participant.MedicalConditions}} </td>
                    <td style="max-width:35px!important;min-width:35px!important;padding:0 3px;word-break: break-word!important;white-space:initial !important;">{{participant.GradeOrAge}} </td>
                </tr>

            </table>
        </div>
        
    </div>

    <div class="clearfix"></div>

</div>
